Name:          libiodbc
Version:       3.52.14
Release:       1mamba
Summary:       Independent Open DataBase Connectivity for Linux, MacOS X and Unix systems
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           https://www.iodbc.org
Source:        https://github.com/openlink/iODBC.git/v%{version}/iODBC-%{version}.tar.bz2
#Source:        http://downloads.sourceforge.net/project/iodbc/iodbc/%{version}/libiodbc-%{version}.tar.gz
License:       LGPL, BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
#Provides:      libodbc
#Provides:      libodbc.so
#Provides:      libodbc.so.1
#Provides:      libodbcinst.so
#Provides:      libodbcinst.so.1
#Obsoletes:     libodbc
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
iODBC is the acronym for Independent Open DataBase Connectivity, an Open Source platform independent implementation of both the ODBC and X/Open specifications.
It is rapidly emerging as the industry standard for developing solutions that are language, platform and database independent.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
iODBC is the acronym for Independent Open DataBase Connectivity, an Open Source platform independent implementation of both the ODBC and X/Open specifications.
It is rapidly emerging as the industry standard for developing solutions that are language, platform and database independent.

This package contains static libraries and header files need for development.

%prep
%setup -q -n iODBC-%{version}

./autogen.sh

%build
# FIXME (--disable-gui):
# make[2]: *** No rule to make target `../iodbcadm/libiodbcadm.la', needed by `iodbcadm-gtk'.  Stop.
%configure \
   --enable-odbc3 \
   --with-iodbc-inidir=%{_sysconfdir} \
   --enable-pthreads \
   --disable-gui \
   --disable-libodbc

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

#ln -s `readlink %{buildroot}%{_libdir}/libiodbc.so` %{buildroot}%{_libdir}/libodbc.so.1
#ln -s `readlink %{buildroot}%{_libdir}/libiodbcinst.so` %{buildroot}%{_libdir}/libodbcinst.so
#ln -s `readlink %{buildroot}%{_libdir}/libiodbcinst.so` %{buildroot}%{_libdir}/libodbcinst.so.1

rm -f %{buildroot}%{_includedir}/{odbcinst.h,sql.h,sqlext.h,sqltypes.h,sqlucode.h}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/iodbctest
%{_bindir}/iodbctestw
%{_libdir}/libiodbc.so.*
%{_libdir}/libiodbcinst.so.*
#%{_libdir}/libodbc.so.*
#%{_libdir}/libodbcinst.so.*
# libodbc.so linked by sun-java
#%{_libdir}/libodbc.so
#%{_libdir}/libodbcinst.so
%{_mandir}/man1/iodbctest.*
%{_mandir}/man1/iodbctestw.*
%doc AUTHORS COPYING LICENSE

%files devel
%defattr(-,root,root)
%{_bindir}/iodbc-config
%{_includedir}/*.h
%dir %{_datadir}/libiodbc
%{_datadir}/libiodbc/samples/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/libiodbc.so
%{_libdir}/libiodbcinst.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man1/iodbc-config.*
%doc ChangeLog NEWS README

%changelog
* Thu Feb 18 2021 Automatic Build System <autodist@mambasoft.it> 3.52.14-1mamba
- automatic version update by autodist

* Thu Aug 15 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.52.13-1mamba
- update to 3.52.13

* Sun Aug 06 2017 Automatic Build System <autodist@mambasoft.it> 3.52.12-1mamba
- automatic version update by autodist

* Sun Mar 27 2016 Automatic Build System <autodist@mambasoft.it> 3.52.10-1mamba
- automatic version update by autodist

* Mon Feb 09 2015 Automatic Build System <autodist@mambasoft.it> 3.52.9-1mamba
- automatic version update by autodist

* Sat Dec 01 2012 Automatic Build System <autodist@mambasoft.it> 3.52.8-1mamba
- update to 3.52.8

* Tue Aug 24 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.52.7-6mamba
- libiodbc-devel: remove obsolete for libodbc-devel

* Tue Aug 24 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.52.7-5mamba
- don't provide libodbc and keep back using libodbc from unixODBC

* Thu Jun 03 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.52.7-4mamba
- fixed libodbc.so, libodbcinst.so and libodbcinst.so.1 links

* Fri Apr 09 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.52.7-3mamba
- fix obsoletion of libodbc-devel in libiodbc-devel

* Fri Apr 09 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.52.7-2mamba
- enable build of libodbc and obsolete libodbc and libodbc-devel packages

* Sun Jan 17 2010 Davide Madrisan <davide.madrisan@gmail.com> 3.52.7-1mamba
- package created by autospec
